package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.rs.api.RSActorSpotAnim;

@ObfuscatedName("vl")
public class ActorSpotAnim extends Node implements RSActorSpotAnim {
   @ObfuscatedName("at")
   @ObfuscatedGetter(
      intValue = 1947242189
   )
   public int spotAnimation;
   @ObfuscatedName("ah")
   @ObfuscatedGetter(
      intValue = 1727064211
   )
   public int spotAnimationFrame;
   @ObfuscatedName("ar")
   @ObfuscatedGetter(
      intValue = 1606792399
   )
   public int spotAnimationFrameCycle;
   @ObfuscatedName("ao")
   @ObfuscatedGetter(
      intValue = 1953475497
   )
   public int field5285;
   @ObfuscatedName("ab")
   @ObfuscatedGetter(
      intValue = 777363253
   )
   public int spotAnimationHeight;

   public ActorSpotAnim(int var1, int var2, int var3, int var4) {
      this.spotAnimation = -1;
      this.spotAnimationFrame = 0;
      this.spotAnimationFrameCycle = 0;
      this.field5285 = 0;
      this.spotAnimationHeight = 0;
      this.spotAnimation = var1;
      this.spotAnimationHeight = var2;
      this.field5285 = var3;
      this.spotAnimationFrame = var4;
   }

   public int getId() {
      return this.spotAnimation;
   }

   public void setId(int var1) {
      this.spotAnimation = var1;
   }

   public int getFrame() {
      return this.spotAnimationFrame;
   }

   public void setFrame(int var1) {
      this.spotAnimationFrame = var1;
   }

   public int getCycle() {
      return this.spotAnimationFrameCycle;
   }

   public void setCycle(int var1) {
      this.spotAnimationFrameCycle = var1;
   }

   public int getHeight() {
      return this.spotAnimationHeight;
   }

   public void setHeight(int var1) {
      this.spotAnimationHeight = var1;
   }
}
